[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# DecColor

DecColor - decrease the component RGBs of a colour by the quantity specified (usually results in a darker colour overall)

## Declaration

Source position: graphics.pp line 1885

`function DecColor(`
`AColor: TColor;`
`AQuantity: Byte`
`):TColor;`

## Arguments

`AColor` |  | AColor - the original colour for processing
`AQuantity` |  | AQuantity - the amount by which the colour is to be changed

## Function result

Returns a copy of the original colour, decremented by a specified amount

The latest version of this document can be found at lazarus-ccr.sourceforge.net .